Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives.adapters
Class ListIteratorFloatListIterator

    java.lang.Object
      org.apache.commons.collections.primitives.adapters.ListIteratorFloatListIterator

All Implemented Interfaces:
  FloatIterator, FloatListIterator

public class ListIteratorFloatListIterator
extends Object
implements FloatListIterator

Adapts a `Number`-valued `ListIterator` to the `FloatListIterator` interface.

This implementation delegates most methods to the provided `FloatListIterator` implementation in the "obvious" way.

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.3 $ $Date: 2003/10/16 20:49:38 $
Author:
  Rodney Waldhoff

Constructor Summary
`ListIteratorFloatListIterator(ListIterator iterator)` Creates an `FloatListIterator` wrapping the specified `ListIterator`.

Method Summary
`void` | `add(float element)` Inserts the specified element into my underlying collection (optional operation).
`boolean` | `hasNext()` Returns `true` iff I have more elements when traversed in the forward direction.
`boolean` | `hasPrevious()` Returns `true` iff I have more elements when traversed in the reverse direction.
`float` | `next()` Returns the next element in me when traversed in the forward direction.
`int` | `nextIndex()` Returns the index of the element that would be returned by a subsequent call to `next()`, or the number of elements in my iteration if I have no next element.
`float` | `previous()` Returns the next element in me when traversed in the reverse direction.
`int` | `previousIndex()` Returns the index of the element that would be returned by a subsequent call to `previous()`, or `-1` if I have no previous element.
`void` | `remove()` Removes from my underlying collection the last element returned by `next()` or `previous()` (optional operation).
`void` | `set(float element)` Replaces in my underlying collection the last element returned by `next()` or `previous()` with the specified value (optional operation).
`static FloatListIterator` | `wrap(ListIterator iterator)` Create an `FloatListIterator` wrapping the specified `ListIterator`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListIteratorFloatListIterator

    public ListIteratorFloatListIterator(ListIterator iterator)

  Creates an `FloatListIterator` wrapping the specified `ListIterator`.

See Also:
  `wrap(java.util.ListIterator)`

Method Detail

### wrap

    public static FloatListIterator wrap(ListIterator iterator)

  Create an `FloatListIterator` wrapping the specified `ListIterator`. When the given iterator is `null`, returns `null`.

  Parameters:
    `iterator` - the (possibly `null`) `ListIterator` to wrap
  Returns:
    an `FloatListIterator` wrapping the given iterator, or `null` when iterator is `null`.

### nextIndex

    public int nextIndex()

  Description copied from interface: `FloatListIterator`
  Returns the index of the element that would be returned by a subsequent call to `FloatListIterator.next()`, or the number of elements in my iteration if I have no next element.

  Specified by:
    `nextIndex` in interface `FloatListIterator`
  Returns:
    the index of the next element in me

### previousIndex

    public int previousIndex()

  Description copied from interface: `FloatListIterator`
  Returns the index of the element that would be returned by a subsequent call to `FloatListIterator.previous()`, or `-1` if I have no previous element.

  Specified by:
    `previousIndex` in interface `FloatListIterator`
  Returns:
    the index of the previous element in me

### hasNext

    public boolean hasNext()

  Description copied from interface: `FloatListIterator`
  Returns `true` iff I have more elements when traversed in the forward direction. (In other words, returns `true` iff a call to `FloatListIterator.next()` will return an element rather than throwing an exception.

  Specified by:
    `hasNext` in interface `FloatListIterator`
  Returns:
    `true` iff I have more elements when traversed in the forward direction

### hasPrevious

    public boolean hasPrevious()

  Description copied from interface: `FloatListIterator`
  Returns `true` iff I have more elements when traversed in the reverse direction. (In other words, returns `true` iff a call to `FloatListIterator.previous()` will return an element rather than throwing an exception.

  Specified by:
    `hasPrevious` in interface `FloatListIterator`
  Returns:
    `true` iff I have more elements when traversed in the reverse direction

### next

    public float next()

  Description copied from interface: `FloatListIterator`
  Returns the next element in me when traversed in the forward direction.

  Specified by:
    `next` in interface `FloatListIterator`
  Returns:
    the next element in me

### previous

    public float previous()

  Description copied from interface: `FloatListIterator`
  Returns the next element in me when traversed in the reverse direction.

  Specified by:
    `previous` in interface `FloatListIterator`
  Returns:
    the previous element in me

### add

    public void add(float element)

  Description copied from interface: `FloatListIterator`
  Inserts the specified element into my underlying collection (optional operation). The element is inserted immediately before the next element that would have been returned by `FloatListIterator.next()`, if any, and immediately after the next element that would have been returned by `FloatListIterator.previous()`, if any.

  The new element is inserted immediately before the implied cursor. A subsequent call to `FloatListIterator.previous()` will return the added element, a subsequent call to `FloatListIterator.next()` will be unaffected. This call increases by one the value that would be returned by a call to `FloatListIterator.nextIndex()` or `FloatListIterator.previousIndex()`.

  Specified by:
    `add` in interface `FloatListIterator`
  Parameters:
    `element` - the value to be inserted

### set

    public void set(float element)

  Description copied from interface: `FloatListIterator`
  Replaces in my underlying collection the last element returned by `FloatListIterator.next()` or `FloatListIterator.previous()` with the specified value (optional operation).

  Specified by:
    `set` in interface `FloatListIterator`
  Parameters:
    `element` - the value to replace the last returned element with

### remove

    public void remove()

  Description copied from interface: `FloatListIterator`
  Removes from my underlying collection the last element returned by `FloatListIterator.next()` or `FloatListIterator.previous()` (optional operation).

  Specified by:
    `remove` in interface `FloatListIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.